Bug 1473011 - Make ostree plugin enabled by default
Make ostree plugin enabled by default
Status: MODIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: Partha Aji
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 16:27 EDT by Partha Aji
Modified: 2017-08-15 16:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2017-07-19 16:27:44 EDT
OSTree was considered an optional plugin in Satellite 6.2 because we did not have the tooling for el6. However Satellite 6.3 is going to be running on el7 only. We should make OSTree always enabled
Comment 2 Rich Jerrido 2017-07-26 06:37:52 EDT
Ack. With Satellite 6.3 being EL7 only, it would be a much better user experience and will be consistent with the other content types (yum,puppet,docker,file).
Comment 3 David Caplan 2017-07-26 06:43:11 EDT
I would advocate making this a default plugin iff there is test automation to confirm that it works as designed.
Comment 4 Sachin Ghai 2017-07-26 06:59:38 EDT
+1 to have it default. We do have the test automation around this. So far we are installing it post satellite install through automation task. Once it will be default, will revert the change in automation.

Note You need to log in before you can comment on or make changes to this bug.